
<!-- start project-info -->
<!--
project_title: Webcam Manager
github_project: https://github.com/atareao/webcam-manager
license: MIT
icon: /datos/Sync/Programacion/gnome-shell/webcam-manager@atareao.es/icons/webcam-manager.svg
homepage: https://www.atareao.es/aplicacion/desactivar-tu-webcam/
license-badge: True
contributors-badge: True
lastcommit-badge: True
codefactor-badge: True
--->

<!-- end project-info -->

<!-- start badges -->

![License MIT](https://img.shields.io/badge/license-MIT-green)
![Contributors](https://img.shields.io/github/contributors-anon/atareao/webcam-manager)
![Last commit](https://img.shields.io/github/last-commit/atareao/webcam-manager)
[![CodeFactor](https://www.codefactor.io/repository/github/atareao/webcam-manager/badge/master)](https://www.codefactor.io/repository/github/atareao/webcam-manager/overview/master)
<!-- end badges -->

<!-- start description -->
<h1 align="center">Welcome to <span id="project_title">Webcam Manager</span> 👋</h1>
<p>
<a href="https://www.atareao.es/aplicacion/desactivar-tu-webcam/" id="homepage" rel="nofollow">
<img align="right" height="128" id="icon" src="icons/webcam-manager.svg" width="128"/>
</a>
</p>
<h2>🏠 <a href="https://www.atareao.es/aplicacion/desactivar-tu-webcam/" id="homepage">Homepage</a></h2>
<p>With <span id="project_title">Webcam Manager</span> you can enable or disable the webcam from GNOME Shell.</p>

### How it works?

This extension unloads the module `uvcvideo` from the Linux Kernel. **Simple and easy**.
<!-- end description -->

<!-- start prerequisites -->
## Prerequisites

GNOME Shell



<!-- end prerequisites -->

<!-- start installing -->
## Installing <span id="project_title">Webcam Manager</span>

Install the extension from <a href="https://extensions.gnome.org/extension/1477/webcam-manager/">GNOME Shell extensions</a>



<!-- end installing -->

<!-- start using -->
## Using <span id="project_title">Webcam Manager</span>

When you start **<span id="project_title">Webcam Manager</span>** it goes to Indicator Area, as you can see in the next screenshot,

![webcam manager](./screenshots/screenshot_01.png)

In this screenshot, the language is Spanish, but, if there is no translation for your language, you will find the app in English.

You can set some options in order to start <span id="project_title">Webcam Manager</span> when you start your Operative System.

* You decide if monitor the module of webcam from kernel
* Time between tests
* Theme of the icons

![webcam manager options](./screenshots/screenshot_02.png)

You can enable the debug mode

![webcam manager about](./screenshots/screenshot_03.png)



<!-- end using -->

<!-- start contributing -->
## Contributing to <span id="project_title">Webcam Manager</span>

To contribute to **<span id="project_title">Webcam Manager</span>**, follow these steps:

1. Fork this repository.
2. Create a branch: `git checkout -b <branch_name>`.
3. Make your changes and commit them: `git commit -m '<commit_message>'`
4. Push to the original branch: `git push origin atareao/webcam-manager`
5. Create the pull request.

Alternatively see the GitHub documentation on [creating a pull request](https://help.github.com/en/github/collaborating-with-issues-and-pull-requests/creating-a-pull-request).
</commit_message></branch_name>

<!-- end contributing -->

<!-- start contributors -->
## 👤 Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):



<!-- end contributors -->

<!-- start table-contributors -->

<table id="contributors">
	<tr id="info_avatar">
		<td id="atareao" align="center">
			<a href="https://github.com/atareao">
				<img src="https://avatars3.githubusercontent.com/u/298055?v=4" width="100px"/>
			</a>
		</td>
	</tr>
	<tr id="info_name">
		<td id="atareao" align="center">
			<a href="https://github.com/atareao">
				<strong>Lorenzo Carbonell</strong>
			</a>
		</td>
	</tr>
	<tr id="info_commit">
		<td id="atareao" align="center">
			<a href="/commits?author=atareao">
				<span id="role">💻</span>
			</a>
		</td>
	</tr>
</table>
<!-- end table-contributors -->
